Package Details: rimworld 1.3.3067-1

Git Clone URL: https://aur.archlinux.org/rimworld.git (read-only, click to copy)
Package Base: rimworld
Description: A sci-fi colony simulation game driven by an intelligent AI storyteller.
Upstream URL: http://rimworldgame.com/
Keywords: game
Licenses: custom: commercial
Submitter: duthils
Maintainer: duthils
Last Packager: duthils
Votes: 8
Popularity: 0.26
First Submitted: 2015-12-15 03:08
Last Updated: 2021-07-23 11:56

Required by (0)

Sources (2)

Latest Comments

1 2 Next › Last »

Refutationalist commented on 2021-09-20 05:01

Probably not the best way to do it, but I modified the PKGBUILD to look for expansions and include them in the package. Now that there's two of them, I'd like to keep track of them as well.

Packages that depend on this one for expansions might be a better idea overall, but this has to package strangely anyway.

https://vis.nu/crap/rimworld-1.3.3117-1.src.tar.gz

duthils commented on 2021-03-13 16:44

Fixed, thank you!

tywyqu commented on 2021-03-12 12:14

new Icon path is /opt/rimworld/RimWorldLinux_Data/Resources/UnityPlayer.png

duthils commented on 2018-08-01 03:13

Desktop icon should be fixed. Thanks for noticing :)

wtry commented on 2018-06-01 01:10

desktop icon is missing; should be /opt/rimworld/Data/Resources

duthils commented on 2016-10-01 19:37

I updated the PKGBUILD for Alpha 15c. I could not reproduce the crash though.

If you have a dual graphics card (e.g. embedded vs. dedicated on a laptop), try using the other one. Also, take a look at /usr/bin/rimworld and try forcing/removing $FORCEGL to see if it changes anything.

platschi commented on 2016-09-18 22:29

install works fine after manually editing the package name in the PKGBUILD to match v15c. However, upon start, I get this message. Can't figure out what it is, log doesn't show anything useful:

/usr/bin/rimworld: line 16: 17490 Aborted (core dumped) LC_ALL=C /opt/rimworld/rimworld $FORCEGL

duthils commented on 2016-07-31 17:32

I can't reproduce the crash.

Do you see any error messages when running the game from a terminal?
Do you use pulseaudio? The latest version of Unity engine seems to require it.
Could you try an unpackaged version, see if it changes anything?

hpstg commented on 2016-07-31 17:17

The 64bit version seems to crash immediately.

duthils commented on 2016-07-21 21:32

Very sorry about that.

The exclusion is there to avoid the failure of unzip with messages like:

RimWorld1238Linux/Mods/Core/Languages/Russian/Вселенная RimWorld/02_Инструктаж для вышедших из криосна.txt: mismatching "local" filename (RimWorld1238Linux/Mods/Core/Languages/Russian/RimWorld/02_ + .txt),
continuing with "central" filename version

AFAIK, the excluded files are not used by the game, they've been copied from the Github repo of the translators: https://github.com/Ludeon/RimWorld-ru